Subject: Re: bug#61325: 30.0.50; Jokes in GNUS manual

From: Po Lu <[email-masked]>
Date: Fri, 10 Mar 2023 18:53:48 +0800

Sam James <[email-masked]> writes:

> Attached hopefully a good compromise between the
> original bug & improving it.
>
> From 89350cf5b339749587168438200f41ed40805a1f Mon Sep 17 00:00:00 2001
> From: Sam James <[email-masked]>
> Date: Thu, 9 Mar 2023 03:54:03 +0000
> Subject: [PATCH] ; Enhance joke to be more fitting with Emacs philosophy
>
> * Replace "sex groups" with "non-free software groups" as something
> fitting with the GNU Emacs philosophy.  (Bug #61325)
> ---
>  doc/misc/gnus.texi | 9 ++++-----
>  1 file changed, 4 insertions(+), 5 deletions(-)
>
> diff --git a/doc/misc/gnus.texi b/doc/misc/gnus.texi
> index f0d3c75d055..08c9b92c431 100644
> --- a/doc/misc/gnus.texi
> +++ b/doc/misc/gnus.texi
> @@ -3860,10 +3860,10 @@ exiting Gnus.
>  
>  If you read lots and lots of groups, it might be convenient to group
>  them hierarchically according to topics.  You put your Emacs groups over
> -here, your sex groups over there, and the rest (what, two groups or so?)
> -you put in some misc section that you never bother with anyway.  You can
> -even group the Emacs sex groups as a sub-topic to either the Emacs
> -groups or the sex groups---or both!  Go wild!
> +here, your shameful non-free software groups over there, and the rest
> +(what, two groups or so?) you put in some misc section that you never bother
> +with anyway.  You can even group the Emacs non-free groups as a sub-topic to
> +either the Emacs groups or the non-free groups---or both!  Go wild!
>  
>  @iftex
>  @iflatex
> @@ -3898,7 +3898,6 @@ Go ahead, just try it.  I'll still be here when you get back.  La de
>  dum@dots{} Nice tune, that@dots{} la la la@dots{} What, you're back?
>  Yes, and now press @kbd{l}.  There.  All your groups are now listed
>  under @samp{misc}.  Doesn't that make you feel all warm and fuzzy?
> -Hot and bothered?
>  
>  If you want this permanently enabled, you should add that minor mode to
>  the hook for the group mode.  Put the following line in your

First of all, we should not compromise with people who want to take away
our freedom to read a good joke in the manual.  That alone is enough to
reject this change.

Secondly, your change equates sex with something shameful and nasty,
like the development of proprietary software.  That is not true.

Finally, you did not even update the sample Group buffer contents.

BTW, for the reasons outlined by the Chief GNUsiance, can we please
close this bug report now?